## org.apache.lucene.analysis.cn
Class ChineseFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.cn.ChineseFilterFactory

Deprecated. Use `StopFilterFactory` instead.

    @Deprecated
    public class ChineseFilterFactory

extends TokenFilterFactory

Factory for `ChineseFilter`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`ChineseFilterFactory(Map<String,String> args)` Deprecated. Creates a new ChineseFilterFactory

Method Summary
`ChineseFilter` `create(TokenStream in)` Deprecated. Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChineseFilterFactory

    public ChineseFilterFactory(Map<String,String> args)

  Deprecated.
  Creates a new ChineseFilterFactory

Method Detail

### create

    public ChineseFilter create(TokenStream in)

  Deprecated.
  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.